/* $Id: AddPointAction.java 320 2011-08-25 14:13:37Z shayashi $ */
package smart_gs.drawing_tool.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.geom.Point2D;
import smart_gs.logical.LineSegment;

public class AddPointAction implements ActionListener {
	
	private LineSegment region;
	private Point2D point;
	public AddPointAction(LineSegment region,Point2D point) {
		this.region = region;
		this.point = point;
	}
	public void execute(){
		this.region.addPoint(point);
	}
	public void actionPerformed(ActionEvent arg0) {
		this.execute();

	}

}
